Loading...
Searching...
No Matches
stun_internal.h File Reference

STUN client interface. More...

`#include <sofia-sip/su_wait.h>`
`#include <sofia-sip/su_tag.h>`
`#include "sofia-sip/stun.h"`
`#include <sofia-sip/su_debug.h>`
Include dependency graph for stun_internal.h:

Go to the source code of this file.

## Macros

#define | STUN_INTERNAL_H
| Defined when <stun_internal.h> has been included.
#define | STUN_LIFETIME_EST
| 6 min?
#define | STUN_LIFETIME_MAX
| 30 min?
#define | STUN_LIFETIME_CI
| 5 sec confidence interval

## Functions

int | stun_is_requested (tag_type_t tag, tag_value_t value,...)
| Check if a STUN handle should be created.
int | stun_make_sharedsecret_req (stun_msg_t *msg)
| Compose a STUN message of the format defined by stun_msg_t result encoded in enc_buf ready for sending as well.
int | stun_make_binding_req (stun_handle_t *se, stun_request_t *req, stun_msg_t *msg, tag_type_t, tag_value_t,...)
| Compose a STUN message of the format defined by stun_msg_t.
int | stun_process_binding_response (stun_msg_t *msg)
| process binding response
int | stun_process_error_response (stun_msg_t *msg)
| process binding error response Report error and return
int | stun_atoaddr (su_home_t *home, int ai_family, su_addrinfo_t *info, char const *in)
| Converts character address format to sockaddr_in.

## Detailed Description

STUN client interface.

Author
  Martti Mela martt.nosp@m.i.me.nosp@m.la@no.nosp@m.kia..nosp@m.com
  Tat Chan Tat.C.nosp@m.han@.nosp@m.nokia.nosp@m..com
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com
  Kai Vehmanen kai.v.nosp@m.ehma.nosp@m.nen@n.nosp@m.okia.nosp@m..com

## Function Documentation

## stun_is_requested()

int stun_is_requested | ( | tag_type_t | tag,
|  | tag_value_t | value,
|  |  | ... )

Check if a STUN handle should be created.

Return true if STUNTAG_SERVER() or STUNTAG_DOMAIN() tags have been specified, or otherwise if STUN_SERVER environment variable is set.

Related Tags:

\n STUNTAG_DOMAIN() domain to use in DNS-SRV based STUN server

\n STUNTAG_SERVER() stun server hostname or dotted IPv4 address

Parameters

  tag,value,... | tag-value list

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.